summaryrefslogtreecommitdiff
path: root/app/run-test.sh
diff options
context:
space:
mode:
authorCody McGinnis <brainwart@gmail.com>2020-09-14 10:34:05 -0400
committerCody McGinnis <brainwart@gmail.com>2020-09-14 10:34:05 -0400
commitf6269df5fc7bbdf36ebb5aa5f0de9fc48f76469e (patch)
treeaa2785e26cc5da99f4af5b7f2df59e17cd824b01 /app/run-test.sh
parent9110335142813c60c4ae3572444d4f954c41ef14 (diff)
fix(tests): return error code when build fails
Diffstat (limited to 'app/run-test.sh')
-rwxr-xr-xapp/run-test.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/app/run-test.sh b/app/run-test.sh
index 3b7cd58..dd8c8ee 100755
--- a/app/run-test.sh
+++ b/app/run-test.sh
@@ -22,6 +22,7 @@ echo "Running $testcase:"
west build -d build/$testcase -b native_posix -- -DZMK_CONFIG=$testcase > /dev/null 2>&1
if [ $? -gt 0 ]; then
echo "FAIL: $testcase did not build" >> ./build/tests/pass-fail.log
+ exit 1
else
./build/$testcase/zephyr/zmk.exe | sed -e "s/.*> //" | tee build/$testcase/keycode_events_full.log | sed -n -f $testcase/events.patterns > build/$testcase/keycode_events.log
diff -au $testcase/keycode_events.snapshot build/$testcase/keycode_events.log